You are not logged in.

#1 2003-03-02 19:59:59

elanthis
Member
From: Michigan, USA
Registered: 2002-09-26
Posts: 33
Website

GNOME2.2 in current

Hi all,

  GNOME2.2 packages are uploading to current as I type this.

  Some notes for people upgrading:

  -- GStreamer and GStreamer based services crash; it's an upstream bug that only occurs when you have an i686 optimized glibc (like Arch Linux).

  -- Gnome-Terminal is a little flaky, not sure why yet - might be related to XFree86 4.3.0 and Xft2/fontconfig.

  -- If you build from sources, and the xfree86 package hasn't been fixed yet, you need to export the environment variable
    PKG_CONFIG_PATH=/usr/X11R6/lib/pkg-config
  xfree86 put the .pc files there instead of the correct /usr/lib/pkg-config

  -- If you get any weird behaviour in apps, you should probably backup then delete your GNOME settings first: namely, ~/.gnome*, ~/.gconf*, ~/.nautilus, ~/.metacity ; this shouldn't be necessary, but you never know.

  -- And no, you still can't build GNOME1.x apps against the GNOME2.2 libs - there isn't, and probabyl won't be, GNOME1.x libs in Arch; they're depricated and no longer maintained upstream.  Most apps have GNOME2.0/2.2 versions now, if only in CVS version, including Galeon (or it's much better offspring Epiphany), Evolution, Sodipodi, X-Chat, Gnumeric, Abiword, and others.


What?

Offline

#2 2003-03-02 20:51:41

Moritz
Member
From: Cologne, NRW, Germany
Registered: 2002-10-12
Posts: 166

Re: GNOME2.2 in current

hey elanthis!

Thanx for this great work!
I just got one question: how to unistall all of gnome 2.0 and install 2.2?

Regards,
Moritz

Offline

#3 2003-03-02 21:03:56

Arielext
Member
From: Amersfoort, the Netherlands
Registered: 2002-08-12
Posts: 362
Website

Re: GNOME2.2 in current

pacman -Syu !!! smile
and delete those directories elanthis was talking about
restart X and your done


apt-get install arch

Offline

#4 2003-03-03 07:02:11

Moritz
Member
From: Cologne, NRW, Germany
Registered: 2002-10-12
Posts: 166

Re: GNOME2.2 in current

I've done that!
But "pacman -Q | grep gnome" just show *2.0* and no *2.2*

I've had a look at the ftp-server. The old files are still up. Could that be the problem?

Regards,
Moritz

BTW: default pacman.conf (nothing changed)

Offline

#5 2003-03-03 09:04:21

Arielext
Member
From: Amersfoort, the Netherlands
Registered: 2002-08-12
Posts: 362
Website

Re: GNOME2.2 in current

Could? it *is* the problem smile
wait untill the ftp server and the mirrors (if you use one) is updated with the new packages


apt-get install arch

Offline

#6 2003-03-03 11:53:32

Greg
Member
From: Geneva, Switzerland
Registered: 2002-12-07
Posts: 22
Website

Re: GNOME2.2 in current

I have a problem with it... when I do a pacman -Syu I get this:

loading package data... done.
error: unsatisfied dependencies:
  libgnomecanvas: requires xft2

Any ideas?

Offline

#7 2003-03-03 13:05:33

Arielext
Member
From: Amersfoort, the Netherlands
Registered: 2002-08-12
Posts: 362
Website

Re: GNOME2.2 in current

pacman -S xft2

though xft is part of Xfree now ...
guess that the gnome2.2 package dependencies are a bit outdated


apt-get install arch

Offline

#8 2003-03-03 14:30:07

Nickm
Member
From: Netherlands
Registered: 2003-02-25
Posts: 104

Re: GNOME2.2 in current

Nice !! gonna check it when i'm back home smile


Who is peer, and why is he resetting my connection ??

Offline

#9 2003-03-03 16:09:57

Greg
Member
From: Geneva, Switzerland
Registered: 2002-12-07
Posts: 22
Website

Re: GNOME2.2 in current

[greg@poseidon greg]# sudo pacman -Sy xft2
:: Synchronizing package databases...
current.db.tar.gz        [#################################] 100% |     30K
unofficial.db.tar.gz     [#################################] 100% |     45K
unstable.db.tar.gz       [#################################] 100% |      0K
xft2: not found in sync db

I've already been that smart Arielext... sad

Edit: I simply did a pacman -Syud and everything seems to be working.

Offline

#10 2003-03-03 17:31:29

Nickm
Member
From: Netherlands
Registered: 2003-02-25
Posts: 104

Re: GNOME2.2 in current

doesn't work sad

/opt/gnome/bin/metacity: error while loading shared libraries: libstartup-notification-1.so.0: cannot open shared object file: No such file or directory

what package do i need for that? i ignored some deps what is probably causing this problem


Who is peer, and why is he resetting my connection ??

Offline

#11 2003-03-03 19:30:33

apeiro
Daddy
From: Victoria, BC, Canada
Registered: 2002-08-12
Posts: 771
Website

Re: GNOME2.2 in current

It was a dep problem in the libgnomecanvas package (obviously).  should be fixed with today's release (2.2.0.1-2)

Offline

#12 2003-03-03 21:22:44

Nickm
Member
From: Netherlands
Registered: 2003-02-25
Posts: 104

Re: GNOME2.2 in current

I did a pacman -Sy libgnomecanvas, but the problem remains. What should i do now ?


Who is peer, and why is he resetting my connection ??

Offline

#13 2003-03-03 22:25:08

Moritz
Member
From: Cologne, NRW, Germany
Registered: 2002-10-12
Posts: 166

Re: GNOME2.2 in current

hehe... pacman -Syu works today tongue Don't ask me!

but I get the same errors as Nickm get's. (with libgnomecanvas 2.2.0.1-2)

Offline

#14 2003-03-03 22:53:46

elanthis
Member
From: Michigan, USA
Registered: 2002-09-26
Posts: 33
Website

Re: GNOME2.2 in current

Ya, looks like I forgot to fix the dep in that package.  If apeiro or someone else hasn't fixed it already, I'll upload a new one in a bit.


What?

Offline

#15 2003-03-04 00:14:16

apeiro
Daddy
From: Victoria, BC, Canada
Registered: 2002-08-12
Posts: 771
Website

Re: GNOME2.2 in current

libgnomecanvas was fixed about 5 hours ago.

Offline

#16 2003-03-04 00:36:49

elanthis
Member
From: Michigan, USA
Registered: 2002-09-26
Posts: 33
Website

Re: GNOME2.2 in current

heh.  ya, that whole going to work thing for 8 hours a day slows me down a bit.  sorry.  ^,^


What?

Offline

#17 2003-03-04 09:36:37

Guest
Guest

Re: GNOME2.2 in current

well this morning gnome finaly worked but i was missing the themes..
so i start compiling gnome-themes and gtk-engines, well i doesn't work fine.

after some searching i found this http://gnomesupport.org/forums/viewtopic.php?p=12192
i am going to try it out now, this solution will interfear with arch policies on how to install big packages.:(

any idea's thoughts about this ?

#18 2003-03-04 09:37:43

Blaasvis
Member
Registered: 2003-01-17
Posts: 467

Re: GNOME2.2 in current

wel that's stupid of me i forgot to logon  :oops:

the previous post is for me!

well i builded the themes now in the right way, i mad a link from /opt/gnome/share/themes to /usr/share/themes.

but now i ran in to another trouble i can't get AA too work sad


Freedom is what i love

Offline

#19 2003-03-07 11:56:45

Blaasvis
Member
Registered: 2003-01-17
Posts: 467

Re: GNOME2.2 in current

after a fresh install on my laptop, i found out that gnome2.2 missed 1 important package.....

gnome-icon-theme, nautilus makes use of this to draw his mime types.. i have build this packages and uploaded it to incoming.


Freedom is what i love

Offline

#20 2003-03-07 23:06:07

elanthis
Member
From: Michigan, USA
Registered: 2002-09-26
Posts: 33
Website

Re: GNOME2.2 in current

Doh.

I already had gnome-icon-theme packaged and installed, but my CVS copy was screwed up ther e- probably idiot me copying it around wrong.

Updating my packages now...


What?

Offline

#21 2003-03-08 00:24:11

Blaasvis
Member
Registered: 2003-01-17
Posts: 467

Re: GNOME2.2 in current

great just perfect smile


Freedom is what i love

Offline

Board footer

Powered by FluxBB